import 'package:flyyfluttersdk/model/FlyyAppInfoData.dart';

class FlyyAppInfo {
  bool success;
  int clientId;
  FlyyAppInfoData info;

  FlyyAppInfo({this.success, this.clientId, this.info});

  factory FlyyAppInfo.fromJson(Map<String, dynamic> json) {
    return FlyyAppInfo(
      success: json['success'] as bool,
      clientId: json['client_id'] as int,
      info: json.containsKey('info') ? FlyyAppInfoData.fromJson(json['info']) : null,
    );
  }
}
