class FlyyGiftCardOrderData {
  String orderId;
  String refNumber;
  String cardNumber;
  String cardPin;
  int amount;
  String validity;
  String sku;
  String name;
  int tokensUsed;
  String imageUrl;

  FlyyGiftCardOrderData(
      {this.orderId,
      this.refNumber,
      this.cardNumber,
      this.cardPin,
      this.amount,
      this.validity,
      this.sku,
      this.name,
      this.tokensUsed,
      this.imageUrl});

  factory FlyyGiftCardOrderData.fromJson(Map<String, dynamic> json) {
    return FlyyGiftCardOrderData(
      orderId: json['order_id'],
      refNumber: json['ref_number'],
      cardNumber: json['card_number'],
      cardPin: json['card_pin'],
      amount: json['amount'],
      validity: json['validity'],
      sku: json['sku'],
      name: json['name'],
      tokensUsed: json['tokens_used'],
      imageUrl: json['image_url'],
    );
  }
}
