class FlyyOfferPrizes {
  int id;
  String label;
  int minRef;
  int maxRef;
  int minWin;
  int maxWin;
  int offerId;
  int tenantId;
  String createdAt;
  String updatedAt;
  String badgeUrl;

  FlyyOfferPrizes({
    this.maxRef,
    this.id,
    this.minWin,
    this.maxWin,
    this.minRef,
    this.label,
    this.offerId,
    this.tenantId,
    this.createdAt,
    this.updatedAt,
    this.badgeUrl,
  });

  factory FlyyOfferPrizes.fromJson(Map<String, dynamic> json) {
    return FlyyOfferPrizes(
      id: json['id'],
      label: json['label'],
      minRef: json['min_ref'],
      maxRef: json['max_ref'],
      minWin: json['min_win'],
      maxWin: json['max_win'],
      offerId: json['offer_id'],
      tenantId: json['tenant_id'],
      createdAt: json['created_at'],
      updatedAt: json['updated_at'],
      badgeUrl: json['badge_url'],
    );
  }
}
