class FlyyRewardData {
  int id;
  bool isAvailableNow;
  bool isScratched;
  String scratchedOn;
  String offerAvailableFrom;
  String offerMessage;
  int offerValue;
  String createdAt;
  String ref;
  String offerTitle;
  String offerDescription;
  String offerLogo;
  String bgColor;
  String rewardType;
  String rewardLogo;
  String rewardTitle;
  int minPriceRange;
  int maxPriceRange;

  FlyyRewardData(
      {this.id,
      this.isAvailableNow,
      this.isScratched,
      this.scratchedOn,
      this.offerAvailableFrom,
      this.offerMessage,
      this.offerValue,
      this.createdAt,
      this.ref,
      this.offerTitle,
      this.offerDescription,
      this.offerLogo,
      this.bgColor,
      this.rewardType,
      this.rewardLogo,
      this.rewardTitle,
      this.minPriceRange,
      this.maxPriceRange});

 /* bool get getIsScratched {
    return isScratched;
  }

  void set setIsScratched(bool scratched) {
    isScratched = scratched;
  }
*/
  factory FlyyRewardData.fromJson(Map<String, dynamic> json) {
    return FlyyRewardData(
      id: json['id'],
      isAvailableNow: json['is_available_now'],
      isScratched: json['is_scratched'],
      scratchedOn: json['scratched_on'],
      offerAvailableFrom: json['available_from'],
      offerMessage: json['message'],
      offerValue: json['value'],
      createdAt: json['created_at'],
      ref: json['ref'],
      offerTitle: json['offer_title'],
      offerDescription: json['offer_description'],
      offerLogo: json['offer_logo'],
      bgColor: json['bg_color'],
      rewardType: json['reward_type'],
      rewardLogo: json['reward_logo'],
      rewardTitle: json['reward_title'],
      minPriceRange: json['min_price_range'],
      maxPriceRange: json['max_price_range'],
    );
  }
}
