import 'package:flyyfluttersdk/model/FlyyCurrency.dart';
import 'package:flyyfluttersdk/model/FlyyWalletCompleteData.dart';

class FlyyWalletModel {
  bool success;
  String message;
  FlyyCurrency activeCurrency;
  List<FlyyWalletCompleteData> flyyWalletData;

  FlyyWalletModel(
      {this.success, this.message, this.activeCurrency, this.flyyWalletData});

  factory FlyyWalletModel.fromJson(Map<String, dynamic> json) {
    return FlyyWalletModel(
      success: json['success'],
      message: json['message'],
      activeCurrency: FlyyCurrency.fromJson(json['active_currency']),
      flyyWalletData:
          json.containsKey('wallet_data') && json['wallet_data'] != null
              ? List<FlyyWalletCompleteData>.from(json['wallet_data']
                  .map((data) => FlyyWalletCompleteData.fromJson(data)))
              : null,
    );
  }
}
