import 'package:flyyfluttersdk/helpers/FlyyUtility.dart';
import 'package:http/http.dart' as http;

class APIClient {
  FlyyUtility flyyUtility;

  getClient(String path) async {
    String url = 'https://ghc.theflyy.com/api/${path}';

    flyyUtility = new FlyyUtility();
    flyyUtility = new FlyyUtility();
    var headersMap = await flyyUtility.getHeadersMap(null, null, false);

    return await http.get(url, headers: headersMap);
  }

  postClient(String path, Map<String, String> bodyParams, String key,
      String value, bool isInternal) async {
    String url = 'https://ghc.theflyy.com/api/${path}';
    flyyUtility = new FlyyUtility();
    var headersMap = await flyyUtility.getHeadersMap(key, value, isInternal);

    if (bodyParams != null && bodyParams.length < 0)
      return await http.post(url, headers: headersMap);
    else
      return await http.post(url, headers: headersMap, body: bodyParams);
  }

  putClient(String path, Map<String, dynamic> bodyParams) async {
    String url = 'https://ghc.theflyy.com/api/${path}';
    flyyUtility = new FlyyUtility();
    var headersMap = await flyyUtility.getHeadersMap(null, null, false);

    if (bodyParams != null && bodyParams.length < 0)
      return await http.put(url, headers: headersMap);
    else
      return await http.put(url, headers: headersMap, body: bodyParams);
  }
}
