class DailyOffers {
  String title;
  String description;
  String iconUrl;
  int reward;
  String rewardType;
  String deepLink;

  DailyOffers({
    this.title,
    this.description,
    this.iconUrl,
    this.reward,
    this.rewardType,
    this.deepLink,
  });

  factory DailyOffers.fromJson(Map<String, dynamic> json) {
    return DailyOffers(
      title: json['title'] as String,
      description: json['description'] as String,
      iconUrl: json['icon_url'] as String,
      reward: json['reward'] as int,
      rewardType: json['reward_type'] as String,
      deepLink: json['deeplink'] as String,
    );
  }
}
