import 'package:flyyfluttersdk/model/FlyyTournamentData.dart';

class FlyyGame {
  int id;
  String name;
  String url;
  String thumbUrl;
  String wallUrl;
  String code;
  bool isLandscape;
  FlyyTournamentData tournament;

  FlyyGame(
      {this.id,
      this.name,
      this.url,
      this.thumbUrl,
      this.wallUrl,
      this.code,
      this.isLandscape,
      this.tournament});

  factory FlyyGame.fromJson(Map<String, dynamic> json) {
    return FlyyGame(
      id: json["id"],
      name: json["name"],
      url: json["url"],
      thumbUrl: json["thumb_url"],
      wallUrl: json["wall_url"],
      code: json["code"],
      isLandscape: json["is_landscape"],
      tournament: FlyyTournamentData.fromJson(json["tournament"]),
    );
  }
}
