import 'package:flyyfluttersdk/model/FlyyGiftCardData.dart';

class FlyyGiftCard {
  final bool success;
  final List<FlyyGiftCardData> giftCardsList;

  FlyyGiftCard({this.success, this.giftCardsList});

  factory FlyyGiftCard.fromJson(Map<String, dynamic> json) {
    return FlyyGiftCard(
      success: json['success'] as bool,
      giftCardsList:
          json.containsKey("gift_cards") && json["gift_cards"] != null
              ? List<FlyyGiftCardData>.from(
                  json['gift_cards'].map((x) => FlyyGiftCardData.fromJson(x)))
              : null,
    );
  }
}
