import 'package:flyyfluttersdk/model/FlyyGiftCardOrderData.dart';

class FlyyGiftCardOrderResponse {
  bool success;
  String message;
  FlyyGiftCardOrderData giftCardOrder;

  FlyyGiftCardOrderResponse({this.success, this.message, this.giftCardOrder});

  factory FlyyGiftCardOrderResponse.fromJson(Map<String, dynamic> json) {
    return FlyyGiftCardOrderResponse(
      success: json['success'],
      message: json['message'],
      giftCardOrder: json.containsKey('gift_card')
          ? FlyyGiftCardOrderData.fromJson(json['gift_card'])
          : null,
    );
  }
}
